Subject: Re: [PATCH v6 00/14] genirq: Cleanup the abuse of irq_set_affinity_hint()

From: Thomas Gleixner <[email-masked]>
Date: Wed, 24 Nov 2021 20:30:01 +0100

Nitesh,

On Mon, Sep 13 2021 at 10:34, Nitesh Lal wrote:
> On Fri, Sep 3, 2021 at 11:25 AM Nitesh Narayan Lal <[email-masked]> wrote:
>>
>> The drivers currently rely on irq_set_affinity_hint() to either set the
>> affinity_hint that is consumed by the userspace and/or to enforce a custom
>> affinity.
>>
>> irq_set_affinity_hint() as the name suggests is originally introduced to
>> only set the affinity_hint to help the userspace in guiding the interrupts
>> and not the affinity itself. However, since the commit
>>
>>         e2e64a932556 "genirq: Set initial affinity in irq_set_affinity_hint()"

sorry for ignoring this. It fell through the cracks.

>> Thomas Gleixner (1):
>>   genirq: Provide new interfaces for affinity hints

Did I actually write this?

> Any suggestions on what should be the next steps here? Unfortunately, I haven't
> been able to get any reviews on the following two patches:
>   be2net: Use irq_update_affinity_hint
>   hinic: Use irq_set_affinity_and_hint
>
> One option would be to proceed with the remaining patches and I can try
> posting these two again when I post patches for the remaining drivers?

The more general question is whether I should queue all the others or
whether some subsystem would prefer to pull in a tagged commit on top of
rc1. I'm happy to carry them all of course.

Thanks,

        tglx